Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ExportComplexRelationsRequest

Object
ExportComplexRelationsRequest

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExportComplexRelationsToCSVRequest`, `ExportComplexRelationsToExcelRequest`

public abstract class ExportComplexRelationsRequest extends Object implements Serializable
Abstract request for exporting complex relations of a certain domain.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected @NotNull UUID`
  `complexRelationTypeId`
  Required. The ID of the ComplexRelationType for which the export will be executed.
  `protected UUID`
  `domainId`
  The ID of the Domain to filter on (optional).
  `protected String`
  `fileName`
  The name of the file.
  `protected boolean`
  `includeHeaderRow`
  Set if the file will include a header (`true`) or not (`false`).
  `protected boolean`
  `removeFormatting`
  Remove text formatting (`true`) or not (`false`).
  `protected boolean`
  `storeAsAttachment`
  Sets if the export should be stored as an attachment (`true`) or not (`false`) of the provided `domainId`.
  `protected boolean`
  `supportRoundtrip`
  Adds characteristics to support reimport (`true`) or not (`false`).

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `ExportComplexRelationsRequest()`
  `protected`
  `ExportComplexRelationsRequest(UUID complexRelationTypeId, UUID domainId, boolean storeAsAttachment, String fileName, boolean includeHeaderRow, boolean supportRoundtrip, boolean removeFormatting)`
  Creates a new `ExportComplexRelationsRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getComplexRelationTypeId()`
  Required. The ID of the ComplexRelationType for which the export will be executed.
  `UUID`
  `getDomainId()`
  The ID of the Domain to filter on (optional).
  `String`
  `getFileName()`
  The name of the file.
  `int`
  `hashCode()`
  `boolean`
  `isIncludeHeaderRow()`
  Set if the file will include a header (`true`) or not (`false`).
  `boolean`
  `isRemoveFormatting()`
  Remove text formatting (`true`) or not (`false`).
  `boolean`
  `isStoreAsAttachment()`
  Sets if the export should be stored as an attachment (`true`) or not (`false`) of the provided `domainId`.
  `boolean`
  `isSupportRoundtrip()`
  Adds characteristics to support reimport (`true`) or not (`false`).
  `void`
  `setComplexRelationTypeId(UUID complexRelationTypeId)`
  Required. The ID of the ComplexRelationType for which the export will be executed.
  `void`
  `setDomainId(UUID domainId)`
  The ID of the Domain to filter on (optional).
  `void`
  `setFileName(String fileName)`
  The name of the file.
  `void`
  `setIncludeHeaderRow(boolean includeHeaderRow)`
  Set if the file will include a header (`true`) or not (`false`).
  `void`
  `setRemoveFormatting(boolean removeFormatting)`
  Remove text formatting (`true`) or not (`false`).
  `void`
  `setStoreAsAttachment(boolean storeAsAttachment)`
  Sets if the export should be stored as an attachment (`true`) or not (`false`) of the provided `domainId`.
  `void`
  `setSupportRoundtrip(boolean supportRoundtrip)`
  Adds characteristics to support reimport (`true`) or not (`false`).
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### complexRelationTypeId

    @NotNull protected @NotNull UUID complexRelationTypeId
    Required. The ID of the ComplexRelationType for which the export will be executed.

  - ### domainId

    protected UUID domainId
    The ID of the Domain to filter on (optional).

  - ### storeAsAttachment

    protected boolean storeAsAttachment
    Sets if the export should be stored as an attachment (`true`) or not (`false`) of the provided `domainId`.

  - ### fileName

    protected String fileName
    The name of the file. (optional) if not provided a name is generated.

  - ### includeHeaderRow

    protected boolean includeHeaderRow
    Set if the file will include a header (`true`) or not (`false`). Default value is `false`.

  - ### supportRoundtrip

    protected boolean supportRoundtrip
    Adds characteristics to support reimport (`true`) or not (`false`). Default value is `false`.

  - ### removeFormatting

    protected boolean removeFormatting
    Remove text formatting (`true`) or not (`false`). Default value is `false`.

- ## Constructor Details

  - ### ExportComplexRelationsRequest

    public ExportComplexRelationsRequest()

  - ### ExportComplexRelationsRequest

    protected ExportComplexRelationsRequest(UUID complexRelationTypeId, UUID domainId, boolean storeAsAttachment, String fileName, boolean includeHeaderRow, boolean supportRoundtrip, boolean removeFormatting)
    Creates a new `ExportComplexRelationsRequest` instance.
    Parameters:
      `complexRelationTypeId` - Required. The ID of the ComplexRelationType for which the export will be executed.
      `domainId` - The ID of the Domain to filter on (optional).
      `storeAsAttachment` - Sets if the export should be stored as an attachment (`true`) or not (`false`) of the provided `domainId`.
      `fileName` - The name of the file. (optional) if not provided a name is generated.
      `includeHeaderRow` - Set if the file will include a header (`true`) or not (`false`). Default value is `false`.
      `supportRoundtrip` - Adds characteristics to support reimport (`true`) or not (`false`). Default value is `false`.
      `removeFormatting` - Remove text formatting (`true`) or not (`false`). Default value is `false`.

- ## Method Details

  - ### getComplexRelationTypeId

    public UUID getComplexRelationTypeId()
    Required. The ID of the ComplexRelationType for which the export will be executed.

  - ### getDomainId

    public UUID getDomainId()
    The ID of the Domain to filter on (optional).

  - ### isStoreAsAttachment

    public boolean isStoreAsAttachment()
    Sets if the export should be stored as an attachment (`true`) or not (`false`) of the provided `domainId`.

  - ### getFileName

    public String getFileName()
    The name of the file. (optional) if not provided a name is generated.

  - ### isIncludeHeaderRow

    public boolean isIncludeHeaderRow()
    Set if the file will include a header (`true`) or not (`false`). Default value is `false`.

  - ### isSupportRoundtrip

    public boolean isSupportRoundtrip()
    Adds characteristics to support reimport (`true`) or not (`false`). Default value is `false`.

  - ### isRemoveFormatting

    public boolean isRemoveFormatting()
    Remove text formatting (`true`) or not (`false`). Default value is `false`.

  - ### setComplexRelationTypeId

    public void setComplexRelationTypeId(UUID complexRelationTypeId)
    Required. The ID of the ComplexRelationType for which the export will be executed.

  - ### setDomainId

    public void setDomainId(UUID domainId)
    The ID of the Domain to filter on (optional).

  - ### setStoreAsAttachment

    public void setStoreAsAttachment(boolean storeAsAttachment)
    Sets if the export should be stored as an attachment (`true`) or not (`false`) of the provided `domainId`.

  - ### setFileName

    public void setFileName(String fileName)
    The name of the file. (optional) if not provided a name is generated.

  - ### setIncludeHeaderRow

    public void setIncludeHeaderRow(boolean includeHeaderRow)
    Set if the file will include a header (`true`) or not (`false`). Default value is `false`.

  - ### setSupportRoundtrip

    public void setSupportRoundtrip(boolean supportRoundtrip)
    Adds characteristics to support reimport (`true`) or not (`false`). Default value is `false`.

  - ### setRemoveFormatting

    public void setRemoveFormatting(boolean removeFormatting)
    Remove text formatting (`true`) or not (`false`). Default value is `false`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`